Package io.flutter.view

## Interface TextureRegistry.SurfaceTextureEntry

- All Superinterfaces:
    `TextureRegistry.TextureEntry`
  Enclosing interface:
    TextureRegistry

      public static interface TextureRegistry.SurfaceTextureEntry
      extends TextureRegistry.TextureEntry

  A registry entry for a managed SurfaceTexture.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `id()` |
    `void` | `release()` | Deregisters and releases all resources .
    `default void` | `setOnFrameConsumedListener​(TextureRegistry.OnFrameConsumedListener listener)` | Set a listener that will be notified when the most recent image has been consumed.
    `default void` | `setOnTrimMemoryListener​(TextureRegistry.OnTrimMemoryListener listener)` | Set a listener that will be notified when a memory pressure warning was forward.
    `SurfaceTexture` | `surfaceTexture()` |

- - ### Method Detail

    - #### id

          long id()

      Specified by:
        `id` in interface `TextureRegistry.TextureEntry`
      Returns:
        The identity of this texture.

    - #### release

          void release()

      Deregisters and releases all resources .
      Specified by:
        `release` in interface `TextureRegistry.TextureEntry`

    - #### surfaceTexture

          @NonNull
          SurfaceTexture surfaceTexture()

      Returns:
        The managed SurfaceTexture.

    - #### setOnFrameConsumedListener

          default void setOnFrameConsumedListener​(@Nullable
                                                  TextureRegistry.OnFrameConsumedListener listener)

      Set a listener that will be notified when the most recent image has been consumed.

    - #### setOnTrimMemoryListener

          default void setOnTrimMemoryListener​(@Nullable
                                               TextureRegistry.OnTrimMemoryListener listener)

      Set a listener that will be notified when a memory pressure warning was forward.